
From: William Lee Irwin III <wli@holomorphy.com>

This patch converts FRV to use remap_pfn_range() in its
io_remap_page_range() function.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-frv/pgtable.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN include/asm-frv/pgtable.h~convert-frv-to-use-remap_pfn_range include/asm-frv/pgtable.h
--- 25/include/asm-frv/pgtable.h~convert-frv-to-use-remap_pfn_range	2004-11-21 15:57:10.352269968 -0800
+++ 25-akpm/include/asm-frv/pgtable.h	2004-11-21 15:57:10.356269360 -0800
@@ -442,7 +442,8 @@ static inline int pte_file(pte_t pte)
 #define PageSkip(page)		(0)
 #define kern_addr_valid(addr)	(1)
 
-#define io_remap_page_range	remap_page_range
+#define io_remap_page_range(vma, vaddr, paddr, size, prot)		\
+		remap_pfn_range(vma, vaddr, (paddr) >> PAGE_SHIFT, size, prot)
 
 #define __HAVE_ARCH_PTEP_TEST_AND_CLEAR_YOUNG
 #define __HAVE_ARCH_PTEP_TEST_AND_CLEAR_DIRTY
_
